krita (1:6.0.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 1:5.3.2.1+dfsg-1.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jun 2026 05:11:24 +0200

krita (1:6.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 1:5.3.1.1+dfsg-2 and 1:5.3.2+dfsg-1.

 -- Pino Toscano <pino@debian.org>  Tue, 26 May 2026 20:43:37 +0200

krita (1:6.0.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 1:5.3.1.1+dfsg-1 and 1:5.3.1+dfsg-1.
  * Bump the SIP ABI version to 13.8, as it is what PyQt6 6.11.0 requires;
    patch bump_sip_abi.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2026 20:34:25 +0200

krita (1:6.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 1:5.3.0+dfsg-1.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Mar 2026 07:16:55 +0200

krita (1:6.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release; upstream considers the Qt 6 version as "beta" to not
    be shipped yet for general usage, so it stays in experimental for now.
  * Switch watch file back to the stable releases.
  * Pass -DALLOW_UNSTABLE=QT6 to cmake to explicitly request the unstable Qt 6
    build.

 -- Pino Toscano <pino@debian.org>  Tue, 24 Mar 2026 13:11:28 +0100

krita (1:6.0.0~beta3+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Start performing a QML dependency automatic scan for the basic QML
    dependencies:
    - add the dh-sequence-qmldeps build dependency to use dh_qmldeps
    - use the ${qml6:Depends} substvar in the krita binary package, where the
      QML modules are
    - add debian/qmldeps.overrides for the internal QML modules
  * Merge changes from 1:5.2.16+dfsg-1.
  * Update the patches:
    - KoStreamedMath-fix-build-on-XSIMD_NO_SUPPORTED_ARCHITECTURE.patch: drop,
      fixed upstream

 -- Pino Toscano <pino@debian.org>  Fri, 06 Mar 2026 07:10:45 +0100

krita (1:6.0.0~beta2+dfsg-3) experimental; urgency=medium

  * Make use of the newer xsimd version that properly pulls/uses xtl:
    - bump the libxsimd-dev build dependency to 14.0.0-1
    - drop the xtl-dev build dependency, now fully an implicit dependency of
      xsimd
    - drop the xsimd-require-xtl.diff patch, as now xtl is already searched
      by xsimd
  * Backport the upstream MR
    https://invent.kde.org/graphics/krita/-/merge_requests/2657 to build on
    architectures not explicitly supported by xsimd; patch
    KoStreamedMath-fix-build-on-XSIMD_NO_SUPPORTED_ARCHITECTURE.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Feb 2026 11:13:14 +0100

krita (1:6.0.0~beta2+dfsg-2) experimental; urgency=medium

  * Since xsimd is now mandatory in krita, and it is available on all the
    architectures, then drop the architecture limitations for the libxsimd-dev,
    and xtl-dev build dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Feb 2026 10:48:36 +0100

krita (1:6.0.0~beta2+dfsg-1) experimental; urgency=medium

  * New upstream development release:
    - supports Wayland (Closes: #955730)
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5completion-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5guiaddons-dev, libkf5i18n-dev, libkf5itemviews-dev,
      libkf5kdcraw-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libpoppler-qt5-dev, libqt5opengl5-dev, libqt5svg5-dev,
      libqt5x11extras5-dev, libquazip1-qt5-dev, pyqt5-dev, python3-pyqt5,
      qtbase5-dev, qtbase5-private-dev, and qtdeclarative5-dev
    - temporarily remove libkseexpr-dev, as the Qt 6 version is not available
      yet
    - add libkdcrawqt6-dev, libkf6colorscheme-dev, libkf6completion-dev,
      libkf6config-dev, libkf6coreaddons-dev, libkf6crash-dev,
      libkf6guiaddons-dev, libkf6i18n-dev,  libkf6itemviews-dev,
      libkf6widgetsaddons-dev, libpoppler-qt6-dev, libquazip1-qt6-dev,
      pyqt6-dev, python3-pyqt6, python3-sipbuild, qt6-5compat-dev, qt6-base-dev,
      qt6-base-private-dev, qt6-declarative-dev, qt6-svg-dev, qt6-wayland-dev,
      and qt6-wayland-private-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.19.0
    - bump extra-cmake-modules to 6.0
    - bump libopencolorio-dev to 2.0.0
  * Modernize building and update it to KF6:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Pass -DBUILD_WITH_QT6=ON to cmake to explicitly build using Qt 6.
  * Update the runtime relationships to Qt 6:
    - switch libqt5sql5-sqlite to libqt6sql6-sqlite
    - switch python3-pyqt5 to python3-pyqt6
    - switch qml-module-qtmultimedia to qml6-module-qtmultimedia
  * Update the patches:
    - upstream_Bump-SIP-ABI-version-to-12.8.patch: drop, fixed upstream
  * Stop adding -Wno-template-id-cdtor to the CXXFLAGS, as the warnings were
    fixed.
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.
  * Update install files.
  * Add maintscript to remove the old /etc/xdg/kritarc conffile.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Feb 2026 08:36:37 +0100

krita (1:5.3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jun 2026 04:43:08 +0200

krita (1:5.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Temporarily disable the LUT docker, as it needs OpenColorIO, which is
    currently not maintained in Debian and going to be removed from testing
    because of RC bugs
    - comment out the libopencolorio-dev build dependency

 -- Pino Toscano <pino@debian.org>  Tue, 26 May 2026 20:04:06 +0200

krita (1:5.3.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop optional libkdcraw build dependency, the Qt5 version is not available
    anymore in latest KDE Gear releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 30 Apr 2026 13:47:26 +0200

krita (1:5.3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2026 19:55:58 +0200

krita (1:5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Apr 2026 07:28:41 +0200

krita (1:5.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream releases now krita 6.0.x as source that builds both Qt 5 and Qt 6
    versions, and when built as Qt 5 the version is 5.3.x; hence, tweak the
    watch file to map 6.0.x as 5.3.x.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.19.0
    - bump extra-cmake-modules to 5.91
    - bump Qt packages to 5.15.0
    - bump libopencolorio-dev to 2.0.0
    - add qtquickcontrols2-5-dev
    - drop the architecture limitation from libxsimd-dev, and xtl-dev
    - drop no more needed libkf5windowsystem-dev
  * Update the patches:
    - upstream_Bump-SIP-ABI-version-to-12.8.patch: drop, fixed upstream
  * Stop adding -Wno-template-id-cdtor to the CXXFLAGS, as the warnings were
    fixed.
  * Make use of the newer xsimd version that properly pulls/uses xtl:
    - bump the libxsimd-dev build dependency to 14.0.0-1
    - drop the xtl-dev build dependency, now fully an implicit dependency of
      xsimd
    - drop the xsimd-require-xtl.diff patch, as now xtl is already searched
      by xsimd
  * Pass -DBUILD_WITH_QT6=OFF to cmake to explicitly build with Qt 5, even if
    it is the default already.
  * Update install files.
  * Add maintscript to remove the old /etc/xdg/kritarc conffile.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2026 06:41:55 +0200

krita (1:5.2.16+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fixes crash when opening AVIF files (Closes: #1128321)

 -- Pino Toscano <pino@debian.org>  Thu, 26 Feb 2026 19:53:36 +0100

krita (1:5.2.15+dfsg-2) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Replace the libboost-system-dev build dependency with libboost-dev, as
    boost-system has not been required anymore for quite some time.
    (Closes: #1127215)

 -- Pino Toscano <pino@debian.org>  Sat, 07 Feb 2026 09:30:30 +0100

krita (1:5.2.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Append -Wno-template-id-cdtor to the CXXFLAGS, as there are lots of warnings
    that make build logs bigger; the reported warning does not represent a
    behaviour issue, so suppressing the warning for now is fine.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Drop lintian override for no more existing tag.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Jan 2026 19:47:53 +0100

krita (1:5.2.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libboost-system-dev to 1.69

 -- Pino Toscano <pino@debian.org>  Fri, 12 Dec 2025 07:44:41 +0100

krita (1:5.2.13+dfsg-2) unstable; urgency=medium

  * It looks like krita supports also QuaZIP 1.x now, so switch to it by
    replacing the libquazip5-dev build dependency with libquazip1-qt5-dev.
  * Enable once again the LUT docker, as OpenColorIO seems to be back in testing
    (hoping it stays there) (Closes: #1105063)
    - enable the libopencolorio-dev build dependency

 -- Pino Toscano <pino@debian.org>  Tue, 04 Nov 2025 22:44:41 +0100

krita (1:5.2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Sep 2025 18:12:28 +0200

krita (1:5.2.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Aug 2025 06:42:50 +0200

krita (1:5.2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - python3.13.patch: drop, fixed upstream
  * Drop the python3-legacy-cgi recommend, as upstream switched away from the
    "cgitb" Python module.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2025 20:54:24 +0100

krita (1:5.2.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit from upstream to fiX FTBFS with Python 3.13 as the
    default interpreter (Closes: #1092074).

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Jan 2025 01:10:54 +1100

krita (1:5.2.6+dfsg-2) unstable; urgency=medium

  * Recommend python3-legacy-cgi to keep using the legacy "cgitb" Python module
    for now; it is really "required" when using a certain Python plugin, and
    PyQt is a recommend too, so this is the best solution to not make
    python3-legacy-cgi with the current the dependency system available.
    (Closes: #1084630)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Dec 2024 07:33:13 +0100

krita (1:5.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:07:01 +0200

krita (1:5.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Update the build dependencies according to the upstream build system:
    - bump libfreetype-dev to 2.11.0
  * Do not exclude the '3rdparty' directory anymore when repacking, as it is
    practically empty now.
  * Do not exclude the 'winquirks' directory anymore when repacking, as it
    contains only one GPL 3 source used only on Windows.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2024 06:54:43 +0200

krita (1:5.2.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to the stable releases.
  * Switch Vcs-* fields back to 'master'.
  * Update the patches:
    - upstream_Bump-SIP-ABI-version-to-12.8.patch: refresh
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jun 2024 05:24:01 +0200

krita (1:5.2.3~beta1+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jun 2024 08:31:08 +0200

krita (1:5.2.2+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes required.
  * Temporarily disable the LUT docker, as it needs OpenColorIO, which is out
    of testing because openvdb has RC bugs
    - comment out the libopencolorio-dev build dependency
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Drop non-existing files from copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 08 May 2024 10:00:35 +0200

krita (1:5.2.2+dfsg-2) unstable; urgency=medium

  * Switch from SIP v4 to v6: (Closes: #964126)
    - replace the python3-sip-dev build dependency with python3-sipbuild, and
      sip-tools
    - backport upstream commit 2d71c47661d43a4e3c1ab0c27803de980bdf2bb2 to build
      with SIP 6.8+; patch upstream_Bump-SIP-ABI-version-to-12.8.patch
    - drop the python3-sip recommend, not explicitly needed (pulled by PyQt5)
  * Drop the krita-gmic recommend, as krita does not use that external plugin
    anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jan 2024 14:20:28 +0100

krita (1:5.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Include-cstring-for-std-memcpy.patch: drop, backported from
      upstream
  * Add the qtbase5-private-dev build dependency, used even if not explicitly
    searched by the build system.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Dec 2023 21:46:44 +0100

krita (1:5.2.1+dfsg-2) unstable; urgency=medium

  * Backport upstream commit 9184a2494c72fb7ba7df41251181ce256bcb693f to
    include <cstring> for std::memcpy(), thus fixing the build; patch
    upstream_Include-cstring-for-std-memcpy.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Nov 2023 23:07:16 +0100

krita (1:5.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Nov 2023 20:25:16 +0100

krita (1:5.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tweak watch file to actually match more kind of unstable versions.
  * Update the build dependencies according to the upstream build system:
    - bump libboost-system-dev to 1.65
    - bump libeigen3-dev to 3.3.0
    - add libfontconfig-dev, libfreetype-dev, libharfbuzz-dev, libimmer-dev,
      libkf5kdcraw-dev, liblager-dev, libmlt-dev, libmlt++-dev, libsdl2-dev,
      libunibreak-dev, and libzug-dev
    - add libfribidi-dev, needed for the embedded modified copy of raqm
    - drop no more needed libkf5itemmodels-dev, libraw-dev, and
      qtmultimedia5-dev

 -- Pino Toscano <pino@debian.org>  Fri, 13 Oct 2023 07:10:26 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog krita-l10n`.
